Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class NO_RESOURCESHelper

    java.lang.Object
      |
      +--org.omg.CORBA.NO_RESOURCESHelper

public class NO_RESOURCESHelper
extends java.lang.Object

Helper class for : NO_RESOURCES

Author:
  OpenORB Compiler

Constructor Summary
`NO_RESOURCESHelper()`

Method Summary
`static NO_RESOURCES` | `extract(Any a)` Extract NO_RESOURCES from an any
`static java.lang.String` | `id()` Return the NO_RESOURCES IDL ID
`static void` | `insert(Any a, NO_RESOURCES t)` Insert NO_RESOURCES into an any
`static NO_RESOURCES` | `read(InputStream istream)` Read NO_RESOURCES from a marshalled stream
`static TypeCode` | `type()` Return the NO_RESOURCES TypeCode
`static void` | `write(OutputStream ostream, NO_RESOURCES value)` Write NO_RESOURCES into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NO_RESOURCESHelper

    public NO_RESOURCESHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NO_RESOURCES t)

  Insert NO_RESOURCES into an any
  Parameters:
    `a` - an any
    `t` - NO_RESOURCES value

### extract

    public static NO_RESOURCES extract(Any a)

  Extract NO_RESOURCES from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted NO_RESOURCES value

### type

    public static TypeCode type()

  Return the NO_RESOURCES TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the NO_RESOURCES IDL ID
  Returns:
    an ID

### read

    public static NO_RESOURCES read(InputStream istream)

  Read NO_RESOURCES from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed NO_RESOURCES value

### write

    public static void write(OutputStream ostream,
                             NO_RESOURCES value)

  Write NO_RESOURCES into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - NO_RESOURCES value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD